EasyRoutes API

Delete imported stop

DELETE
/stops/imports/{id}

Delete an imported stop by ID. The ID can be the EasyRoutes id returned on import or the client-provided clientStopId.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token from /authenticate

In: header

Path Parameters

id*string

The ID of the imported stop to delete. You provide the EasyRoutes id returned on import or the client-provided clientStopId.

Header Parameters

Idempotency-Key?string

A unique key for safely retrying this operation. For more information read our guide.

Length1 <= length <= 255

Response Body

application/json

curl -X DELETE "https://example.com/stops/imports/ist-123e4567-e89b-12d3-a456-426614174000" \  -H "Idempotency-Key: 550e8400-e29b-41d4-a716-446655440000"
Empty
{  "code": 0,  "message": "string",  "details": [    {      "@type": "string"    }  ]}